Subject: Re: 2.6.x on 405CR

From: Matt Porter <[email-masked]>
Date: Mon, 27 Sep 2004 06:57:58 -0700

On Mon, Sep 27, 2004 at 12:46:07PM +0200, Piotr Perak wrote:
> Hi.
> 
> Anyone seen 2.6.x kernel working on 405CR?
> I can't make it boot.

I can't recall anybody around here having a 405CR.  That's probably
why you didn't get a reponse the first time you posted this.

Since you are failing in ocp_add_one_device() and you have a
processor which doesn't have a chip definition in 2.6, the
problem is probably somewhere there.  Doublecheck your
arch/ppc/platforms/4xx/ibm405cr.c (you do have one, right?)
against a known good one in arch/ppc/platforms/4xx/ibm405gp.c

I wish I could rent you my BDI2000 to speed up your debugging,
but we're too far away from each other. :)

-Matt